Photoshop CS compatable with Mac 10.5?

Discussion in 'Digital Darkroom' started by steve_parrott, Apr 22, 2009.

  1. I am taking OSX 10.3 (Panther) out of my Powerbook G4 and replacing it with OSX 10.5 (Leopard). I currently use PS CS. Will this work with 10.5 or will I need to use a later version of Photoshop or perhaps Elements 6 for Mac?<p>Thanks in advance for any input.
     
  2. I have an ancient version of PS 7 that I use on one of my 10.5.5 machines.
     
  3. Works fine. Not supported, but it works fine.
     
  4. will work fine, maybe you can also make sure you run the latest update version.
     

Share This Page

1111